<ng-container *ngIf="QEHs else loading_screen">
  <section class="content-header">
    <h1 class="page-head-line">
      {{ getCategoryStr() }}
    </h1>
  </section>

  <section class="content">
    <div class="col-lg-4 col-md-6 col-sm-6 p-0 mb-4">
      <input type='text' name="search" [(ngModel)]="search" (keyup)='updateFilter()' class="form-control form-control-sm mb-0"
        placeholder='Seach here' />
    </div>
    
    <div class="col-12 col-lg-12 p-0">

      <ngx-datatable #tblSubject class="material mb-4" [rows]="QEHs" [loadingIndicator]="loading" [columnMode]="'force'" [headerHeight]="45"
        [footerHeight]="40" [rowHeight]="'auto'" [limit]="15">

        <ngx-datatable-column [width]="90" prop="qeh_code" name="QEH code" [headerClass]="'pl-3'">
          <ng-template let-row="row" ngx-datatable-cell-template>
            <a href="#" class="pl-2" routerLink="/teacher/qeh/{{ row.id }}/questions">{{ row.qeh_code }}</a>
          </ng-template>
        </ngx-datatable-column>
        <ngx-datatable-column [width]="100" prop="qeh_type_str" name="Type"></ngx-datatable-column>
        <ngx-datatable-column [width]="160" prop="release_time" name="Release date">
          <ng-template let-row="row" ngx-datatable-cell-template>
            {{ row.release_date | date:'MM/dd/yyyy' }} @ {{ row.release_time }}
          </ng-template>
        </ngx-datatable-column>
        <ngx-datatable-column [width]="160" prop="end_time" name="End date">
          <ng-template let-row="row" ngx-datatable-cell-template>
            {{ row.end_date | date:'MM/dd/yyyy' }} @ {{ row.end_time }}
          </ng-template>
        </ngx-datatable-column>

        <ngx-datatable-column [width]="100" prop="status" name="Status"></ngx-datatable-column>
        <ngx-datatable-column name="Action" [headerClass]="'text-center'" [cellClass]="'text-center'">
          <ng-template let-row="row" ngx-datatable-cell-template>
            <a href="#" routerLink="/teacher/qeh/{{ row.id }}/questions" class="text-info pr-2" title="view questions">
              <span class="fa fa-file-o"></span>
            </a>
            <ng-container *ngIf="row.status === 'Done'">
                <a href="#" routerLink="/teacher/qeh/{{ row.id }}/result" class="text-info pr-2" title="view result">
                  <span class="fa fa-line-chart"></span>
                </a>
            </ng-container>
          </ng-template>
        </ngx-datatable-column>

      </ngx-datatable>
    </div>
  </section>
</ng-container>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>